Package com.massivecraft.factions.tag

## Enum FactionTag

- java.lang.Object
- - java.lang.Enum<FactionTag>
  - - com.massivecraft.factions.tag.FactionTag

All Implemented Interfaces:
  `Tag`, `java.io.Serializable`, `java.lang.Comparable<FactionTag>`, `java.lang.constant.Constable`

    public enum FactionTag
    extends java.lang.Enum<FactionTag>
    implements Tag

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ALLIES_COUNT` |
`BANK_BALANCE` |
`CHUNKS` |
`CREATE_DATE` |
`DESCRIPTION` |
`ENEMIES_COUNT` |
`FACTION` |
`FACTION_BANCOUNT` |
`FACTION_DEATHS` |
`FACTION_KILLS` |
`FACTION_RELATION_COLOR` |
`FACTION_SIZE` |
`HEADER` |
`HOME_WORLD` |
`HOME_X` |
`HOME_Y` |
`HOME_Z` |
`JOINING` |
`LAND_REFUND` |
`LAND_VALUE` |
`LEADER` |
`MAX_POWER` |
`OFFLINE_COUNT` |
`ONLINE_COUNT` |
`PEACEFUL` |
`PERMANENT` |
`POWER` |
`POWER_BOOST` |
`RAIDABLE` |
`TRUCES_COUNT` |
`WARPS` |

### Field Summary

### Fields inherited from interface com.massivecraft.factions.tag.Tag

`ARBITRARY_LIMIT`

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `foundInString​(java.lang.String test)` | Gets if the Tag can be found in the given String.
`java.lang.String` | `getTag()` | Gets the Tag's string representation.
`static java.lang.String` | `parse​(java.lang.String text, Faction faction)` |
`static java.lang.String` | `parse​(java.lang.String text, Faction faction, FPlayer player)` |
`java.lang.String` | `replace​(java.lang.String text, Faction faction)` |
`java.lang.String` | `replace​(java.lang.String text, Faction faction, FPlayer player)` |
`static FactionTag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static FactionTag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HOME_X

    public static final FactionTag HOME_X

#### HOME_Y

    public static final FactionTag HOME_Y

#### HOME_Z

    public static final FactionTag HOME_Z

#### CHUNKS

    public static final FactionTag CHUNKS

#### WARPS

    public static final FactionTag WARPS

#### HEADER

    public static final FactionTag HEADER

#### POWER

    public static final FactionTag POWER

#### MAX_POWER

    public static final FactionTag MAX_POWER

#### POWER_BOOST

    public static final FactionTag POWER_BOOST

#### LEADER

    public static final FactionTag LEADER

#### JOINING

    public static final FactionTag JOINING

#### FACTION

    public static final FactionTag FACTION

#### FACTION_RELATION_COLOR

    public static final FactionTag FACTION_RELATION_COLOR

#### HOME_WORLD

    public static final FactionTag HOME_WORLD

#### RAIDABLE

    public static final FactionTag RAIDABLE

#### PEACEFUL

    public static final FactionTag PEACEFUL

#### PERMANENT

    public static final FactionTag PERMANENT

#### LAND_VALUE

    public static final FactionTag LAND_VALUE

#### DESCRIPTION

    public static final FactionTag DESCRIPTION

#### CREATE_DATE

    public static final FactionTag CREATE_DATE

#### LAND_REFUND

    public static final FactionTag LAND_REFUND

#### BANK_BALANCE

    public static final FactionTag BANK_BALANCE

#### ALLIES_COUNT

    public static final FactionTag ALLIES_COUNT

#### ENEMIES_COUNT

    public static final FactionTag ENEMIES_COUNT

#### TRUCES_COUNT

    public static final FactionTag TRUCES_COUNT

#### ONLINE_COUNT

    public static final FactionTag ONLINE_COUNT

#### OFFLINE_COUNT

    public static final FactionTag OFFLINE_COUNT

#### FACTION_SIZE

    public static final FactionTag FACTION_SIZE

#### FACTION_KILLS

    public static final FactionTag FACTION_KILLS

#### FACTION_DEATHS

    public static final FactionTag FACTION_DEATHS

#### FACTION_BANCOUNT

    public static final FactionTag FACTION_BANCOUNT

### Method Detail

#### values

    public static FactionTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FactionTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### parse

    public static java.lang.String parse​(java.lang.String text,
                                         Faction faction,
                                         FPlayer player)

#### parse

    public static java.lang.String parse​(java.lang.String text,
                                         Faction faction)

#### getTag

    public java.lang.String getTag()

Description copied from interface: `Tag`
Gets the Tag's string representation.

Specified by:
  `getTag` in interface `Tag`
Returns:
  tag

#### foundInString

    public boolean foundInString​(java.lang.String test)

Description copied from interface: `Tag`
Gets if the Tag can be found in the given String.

Specified by:
  `foundInString` in interface `Tag`
Parameters:
  `test` - string to test
Returns:
  true if the tag is found in this string

#### replace

    public java.lang.String replace​(java.lang.String text,
                                    Faction faction,
                                    FPlayer player)

#### replace

    public java.lang.String replace​(java.lang.String text,
                                    Faction faction)